## emacs24 24.1+1

=== debian/changelog ===
emacs24 (24.1+1-2ubuntu3) quantal-proposed; urgency=low

  * Backport from Debian (Rob Browning):
    - Stop producing the emacs binary metapackage.
      Move the emacs binary metapackage to its own source package
      (emacs-defaults, cf. gcc-defaults).  This will prevent emacs23 and
      emacs24 from producing the same binary package.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 22 Sep 2012 14:24:57 +0100

emacs24 (24.1+1-2ubuntu2) quantal-proposed; urgency=low

  * SECURITY UPDATE: arbitrary lisp code execution via crafted file
    - debian/patches/CVE-2012-3479.patch: ignore eval: forms that are not
      known to be safe if enable-local-variables is set to :safe in
      lisp/files.el.
    - CVE-2012-3479

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Sep 2012 11:14:32 -0400

emacs24 (24.1+1-2ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes
     - emacsVER-lp725988.patch: Set the X EMACS_CLASS to "Emacs24" to please
       bamf and gnome-shell
     - debian/emacsVER.desktop: also set StartupWMClass for bamf and
       gnome-shell
     - Have emacs24-common Depends on emacs24-common-non-dfsg, now that it is
       out of multiverse. Update debian/copyright to match
     - debian/control.in: use libtiff5-dev in place of libtiff4-dev
  * Dropped changes:
    - debian/patches/unity-shrinkage.patch: Was upstream backport, in this
      release now.
    - debian/patches/no_cpp_multiarch_dir_mangling.diff: Was FTBFS fix. No
      longer does FTBFS without it.

 -- Iain Lane <laney@ubuntu.com>  Wed, 11 Jul 2012 14:54:23 +0100

emacs24 (24.1+1-2) unstable; urgency=low

  * Restrict libselinux1-dev build dependency to [linux-any].
    Thanks to James McCoy <jamessan@debian.org> for the report.
    (Closes: #679679)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 04 Jul 2012 19:16:00 -0500

emacs24 (24.1+1-1) unstable; urgency=low

  * Upgrade to upstream version 24.1.

  * Fix Prefer-usr-share-info-emacs-23-over-usr-share-info.patch for emacs24.

  * Update Debian-specific documentation in patches/ for emacs24.
    Adjust 0002-Run-debian-startup-and-set-debian-emacs-flavor.patch
    header to refer to 'emacs24.  Refer to emacs24-common in /etc/NEWS
    in 0004-Adjust-documentation-references-for-Debian.patch.

  * Update debian/control* and debian/copyright for emacs24.

  * Update debian/.gitignore for emacs24.

  * Add 0009-Restore-doc-emacs-emacsver.texi.patch.

  * Add 0010-Rename-infodir-to-buildinfodir-in-doc-Makefile.in-GN.patch.

  * Add build-deps: libgnutls-dev libxml2-dev libselinux1-dev libmagick++-dev.

  * Clean up debian/rules, and update it for emacs24.

  * Allow DEB_BUILD_OPTIONS parallel builds again.

  * Change emacs package to stick with emacs23 for now.

  * Fix emacsVER.lintian-overrides to refer to the correct icon paths.

  * Fix package descriptions to satisfy lintian.

  * Don't compile with -DDEBIAN anymore (no longer needed).

  * Don't switch to -O1 for m68k and ia64; hopefully unnecessary now.

  * Verify that movemail was compiled against liblockfile.

  * Don't copy .git to build trees.

  * Uncompress manpages before trying to give them versioned names.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 29 Jun 2012 16:16:28 -0500

emacs23 (23.4+1-3ubuntu2) quantal; urgency=low

  * debian/control.in: use libtiff5-dev in place of libtiff4-dev

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 09 Jul 2012 15:42:40 -0500

emacs23 (23.4+1-3ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes:
    - debian/control.in:
      - Do not suggest emacs23-common-non-dfsg.
      - Replace use of Source-Version with source:Version.
    - debian/patches:
      - emacsVER-lp725988.patch: Set the X EMACS_CLASS to "Emacs23" to please
        bamf and gnome-shell
      - debian/patches/no_cpp_multiarch_dir_mangling.diff: make sure cpp
        doesn't mangle our multiarch include path due to a built-in macro
        matching the architecture name.
    - debian/emacsVER.desktop: also set StartupWMClass for bamf and
      gnome-shell
  * Dropped changes:
    - use_crtdir_in_startfiles.diff: Now upstream
    - emacs-xgselect.patch: Now applied in Debian
    - Drop the horror that was ubuntu-restore-nondfsg-files.diff. We'll move
      the package into main.
  * Have emacs23-common Depends on emacs23-common-non-dfsg, now that it is
    going to main.

 -- Iain Lane <laney@ubuntu.com>  Sat, 12 May 2012 12:30:20 +0100

emacs23 (23.4+1-3) unstable; urgency=low

  * Add 0017-Initialize-xgselect-in-function-xg_select-when-gfds_.patch.
    Patch xgselect.c to prevent hang when using newer versions of
    GLib.  Thanks to Vincent Lefevre <vincent@vinc17.net> and Sven
    Arvidsson <sa@whiz.se> for the initial reports, and Karel Klíč
    <kklic@redhat.com> for the patch. (Closes: #666691)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 07 Apr 2012 14:35:51 -0500

emacs23 (23.4+1-2) unstable; urgency=low

  * Add 0015-coding.c-produce_chars-Fix-updating-of-src_end-Bug-1.patch.
    Incorporate upstream fix to prevent Emacs from crashing while
    decoding input with DOS EOLs.

  * Add 0016-quail-indian.el-indian-tlg-base-table-Fix-typo-dev-t.patch.
    Rename indian-dev-base-table to indian-tlg-base-table to correct a
    typo in quail/indian.el.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 21 Mar 2012 01:19:53 -0500

emacs23 (23.4+1-1) unstable; urgency=low

  * Upgrade to upstream version 23.4.  Emacs 23.4 includes grammars
    that were missing for some of its bison parsers.  Thanks to Julian
    Andres Klode <jak@debian.org> for the report. (Closes: #635938)

  * Update debian/* for Emacs 23.4.

  * Depend on libpng-dev rather than libpng12-dev.  Thanks to Nobuhiro
    Iwamatsu <iwamatsu@nigauri.org> for the report.  (Closes: #662312)

  * Add 0014-Fix-hang-after-C-z-in-gnome-shell.patch.  Emacs should no
    longer hang when C-z is pressed within the Gnome shell.  Thanks to
    Nikolay Pelov <npelov@gmail.com> for the report.

