## emacs24 24.2+1

=== debian/changelog ===
emacs24 (24.2+1-2ubuntu2) raring; urgency=low

  * Fix 'Ediff' window shrinks horizontally to one column wide (LP:
    #1059633) Thanks marga-9 for the patch.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 09 Apr 2013 10:32:32 +0100

emacs24 (24.2+1-2ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
     - emacsVER-lp725988.patch: Set the X EMACS_CLASS to "Emacs24" to please
       bamf and gnome-shell.
     - debian/emacsVER.desktop: Also set StartupWMClass for bamf and
       gnome-shell.
     - Have emacs24-common Depends on emacs24-common-non-dfsg, now that it
       is out of multiverse.  Update debian/copyright to match.
     - debian/control.in: Use libtiff5-dev in place of libtiff4-dev.
     - Apply upstream patch for bug 12764 to fix maddeningly broken behavior
       with quit-window.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 05 Mar 2013 01:01:46 +0000

emacs24 (24.2+1-2) unstable; urgency=low

  * Switch emacs24 from GTK+ 2 to GTK+ 3. (Closes: #679931)

  * Migrate to debhelper 9.

  * Add emacsVER-dbg, emacsVER-lucid-dbg, and emacsVER-nox-dbg packages.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 20 Jan 2013 16:18:00 -0600

emacs24 (24.2+1-1ubuntu2) raring; urgency=low

  * Apply upstream patch for bug 12764 to fix maddeningly broken behavior
    with quit-window.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 13 Dec 2012 14:34:07 -0500

emacs24 (24.2+1-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
     - emacsVER-lp725988.patch: Set the X EMACS_CLASS to "Emacs24" to please
       bamf and gnome-shell.
     - debian/emacsVER.desktop: Also set StartupWMClass for bamf and
       gnome-shell.
     - Have emacs24-common Depends on emacs24-common-non-dfsg, now that it
       is out of multiverse.  Update debian/copyright to match.
     - debian/control.in: Use libtiff5-dev in place of libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Nov 2012 17:58:27 +0000

emacs24 (24.2+1-1) unstable; urgency=high

  * Upgrade to upstream version 24.2 and update debian/patches.

  * Remove patches that have been incorporated upstream:
      0010-Rename-infodir-to-buildinfodir-in-doc-Makefile.in-GN.patch

  * Stop producing the emacs binary metapackage.
    Move the emacs binary metapackage to its own source package
    (emacs-defaults, cf. gcc-defaults).  This will prevent emacs23 and
    emacs24 from producing the same binary package.

  * Don't eval code when enable-local-variables is :safe.  Previously,
    Emacs might eval forms in file-local variable sections even when
    the Emacs user option `enable-local-variables' was set to :safe
    (CVE-2012-3479).  Emacs 24.2 fixes the problem.  Thanks to Henri
    Salo <henri@nerv.fi> for the report.  (Closes: #684695)

  * Have debian/% depend on debian/rules since it now sets the
    upstream_ver.

  * Update debian/rules upstream_ver to 24.2 and run "debian/rules
    debian-sync".

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 09 Sep 2012 12:03:31 -0500

emacs24 (24.1+1-4) unstable; urgency=low

  * Fix FTBS on ia64 with -O1.  Remove redundant LDFLAGS+=-g and
    CFLAGS+=-O2.  See also: #582439. (Closes: #679986)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 20 Jul 2012 12:51:32 -0500

emacs24 (24.1+1-3) unstable; urgency=low

  * Add 0011-Don-t-use-IN_FLOAT-when-calling-fabs-since-it-may-cl.patch.
    Fix FTBS on i386 by adding an upstream patch to skip fabs() errno
    checking.  Since fabs() has no error conditions, it doesn't guarantee
    that it won't clobber errno.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 17 Jul 2012 19:25:59 -0500
