=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 # Copyright 1994,1995 Ian Jackson
 # Copyright 2004-2005 Jrme Marant <jerome@debian.org>
-# Copyright 1998-2012 Rob Browning <rlb@defaultvalue.org>
+# Copyright 1998-2013 Rob Browning <rlb@defaultvalue.org>
 
 # Originally copied from the GNU Hello Debian rules file (1.3).
 # Modified for emacs by Mark Eichin <eichin@kitten.gen.ma.us>.
@@ -38,7 +38,7 @@
 #  builddir.)
 
 # The official upstream version defined by AC_INIT in configure.in.
-upstream_ver := 24.1
+upstream_ver := 24.2
 
 # This must be the version that's actually used at runtime for things
 # like load-path.  It may not be the same as the upstream version
@@ -100,15 +100,17 @@
 
 deb_host_multiarch := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall
-LDFLAGS = `dpkg-buildflags --get LDFLAGS`
-CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
-
-LDFLAGS   += -g
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 
 ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O2
+  ifneq (,$(filter $(DEB_HOST_ARCH),ia64))
+    # Fix a problem with newer versions of gcc on ia64.
+    # See bugs #582439 and #679986.
+    CFLAGS += -O1
+  endif # eq ia64
 endif
 
 joblimit := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -212,6 +214,3 @@
     -e "s|\@PKG_NAME\@|$(pkg_name)|go;" \
     -e "s|\@MAJOR_VERSION\@|$(major_ver)|go;" \
     -e "s|\@MINOR_VERSION\@|$(minor_ver)|go;" \
-    -e "s|\@FULL_VERSION\@|$(runtime_ver)|go;" \
-    -e "s|\@PACKAGE_VERSION\@|$(debian_ver)|go;" \
-    -e "s|\@DEBIAN_REV\@|$(deb_rev)|go;" \
