## emacs24 24.2-1

=== debian/changelog ===
emacs24 (24.2-1) unstable; urgency=low

  * Initial release.

 -- Manan Tuli <mt_void@yahoo.com>  Tue, 27 Nov 2012 15:33:12 +0100
