=== debian/control ===
Source: emacs24
Section: user/utilities
Priority: optional
Maintainer: Manan Tuli <mt_void@yahoo.com>
Build-Depends: debhelper (>= 7.0.0), autotools-dev, libncurses5-dev, libungif4-dev, libxml2-dev, libxpm-dev, libtiff4-dev, libgconf2-dev, libgtk2.0-dev
Standards-Version: 3.9.3
Homepage: http://www.gnu.org/software/emacs

Package: emacs24
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wmctrl
Description: The GNU Emacs editor
 GNU Emacs is the extensible self-documenting text editor.
 This package contains a version of Emacs for the Maemo platform.
XSBC-Maemo-Display-Name: GNU Emacs
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAANbY1E9Y
 MgAAFMhJREFUeNpiDA9exYAbMDIw/Iew/mMXBzIYhIHYAojtgVgHiGWAmAeImYD4
 N1DZOyD9EIhPA/F+IL4CxN/RTMNhPaqtbGw8DOcvzme4eh3i5v///zMABBALA3lA
 CYhTgdgSaLsWkBYF+wjJvv9QhwGxMpBtCmSGMDIw/gHSj4D8S0B6KxCvBOLPDBQA
 gAAi1QOqQBzLyPA/9T8jgwRMkAnqUiZGRgYmZiBmYkTxyT9gSP3995/h/18GFiCl
 BAxYUAAEAHEmEE8A4i1A/J4cDwAEEFEegAZsDtBZvaCYBDmWEZaGgI5mYWFkYGVj
 ZmBlYQazmZmYGBiBHmEE6wX5gIHhD9Dlf/78Y/j96y/Dr5//wGygv4yAJiwCKrsG
 xFlAfJBUDwAEEDEeUAE6ZDbQNQ4w7zCCPADEzEDHsgEdzs7GwsDKygTEzGAxJqAH
 mJkYIVnlHyQGQOn17x+QJ/4y/Pzxl+Hrt98MP378Yfj16z8DMzOTFhBvARo9D2hB
 LRB/ItYDAAFEyANWQEesADpDFhLaEMeDHMgCdDAHB9TxoNAH8llYmECOASchRiDm
 5GRh4OfnYGADegys8f9/aOZjACepnz//Mrx7+43h/t0PDG/ffudhY2fJA8aoMNAj
 pUBlz4nxAEAA4fOAH9CqZUB7uWGJCOhuYBpnAoc6JwcLkAZidmZwyIMcj+IBoHtB
 DhcAekBSipdBQpKHQVCIC+hpFrA6kBpQbPwDxtDHDz8Y1q6+xrBn1z0Gdg6WaEZG
 JhWglS5AK7+gFEqMIPNZURwJEEC4PGADdMBsIM0NTzJAC1mgjgc5ghmY3oHmQUoa
 qDwkdhjA+QDkUVBIP378keEREIP0cgBjhJubjYGXl41BVU2YQVFJCOiBf0CPcTIk
 pxsDPcrDsGr5VVAcmQMN2wEquYD4BSyv/fz5meHV66soDgUIIBZGtBIeqFQZ6KrF
 QIYYzPGg0AJlTJjjWYAhKyzMyaCiIswgIMgBjoW/f/9DMuivP0CL/gFpCPv373/g
 kAal/69ffgFD+ydQ/g/DuXPPGFxcVBhMTKWBmfoPOOa8fdUZzp97wXD92mtQ7FoD
 ra8Dui4bUo4wAc35yvDu3W0U1wIEEAtmLfK/CUgoMEAzKhMjJLqZQZkU6AGQ4/n5
 2BlCI3QYJCR4IaURIyM4hEDgH6i4BFUJQBrkAVBm/QJ0+JfPP8Ee+PEdmHF//wU7
 WEiEC+jxf+Ag/AOkQflIVU2Q4drVl7CaJBOaF5pByef7j3fAvPMbxbUAAYSehCqB
 OArqFgZQQQhyGDOwSASlc1AMgJKHIDD0RYS5wCEHtgboQSaQWiYGeIwxAU3mZgMm
 F6BnketbkMdApRLITFDJ9Of3f2gdCBJngOQnZiZ4TQw0NRsotZKFmfXW27c3gR7+
 heJggABiQmILA1UnMDIiKniQ40GOAnuAhQnuiR8/fjN8+vQTXBohKgpIUQnxMNA7
 QLl/4NIGGMKgnAougf6D8wjICkjS+getKf6DPQ3S/+L5Z3BRzMj0H5Y4xIGMDpBr
 Pn/BLJgAAgg5BgqBGtQYILUURDM0U4IcBMmYjOAkBEoGZ888Y3ByVkJpOIA8D4qV
 O7c/Mrx//wPqQGCmBupjZwdlYFYGHl52Bh4eNmARywoOGFDsMYNra0ZwKXT1ymtw
 QIGSFCQGQLHKEvj+433Hu/d27UP3AEAAwfKAEiO4Woc4AhbjkAoL2jxghlROIAxK
 q/fuvmNQURViUAKWJKBMCWq6gUL14P77DB8+/oQUpdAGF6jM/wd0ECijgyo2UKyC
 SzR2SAUIyvyvXn0FevwtpMnBwAhuCf6DBg4w+TB8/vIq9N//P/ug1QkjLN4BAogF
 6l5ga5JRCMXxSHkAUkwiWmcwsTOnnwFDlZ1BRIQTnFRA5bsQMG98+vwLzAYpB6V3
 RpDj/4OK1X/gkP35A4h/AksjYEx++/4bHACgUus/3F6gPpAd4KTFBAyQV0Bz/kbH
 xCTyHTu2e8atW3ePQf33HyCAYLnFmYERS9sWSzv3P7Q2BcXIp48/GI4cecjwDVjS
 MEMznrGJFIOkJC8wmf0GJyFQ8QkKeVDIgmiwGNAT4NIKmvZBAfIfmsH/wzIvIyim
 WRnevH3OsHPPEgZjM2bexMToKHFx5QigCl6Y6wACCJSlZIBMb0aUkIfWTuDiAVI6
 gC0Et2sgoQrig5LWpw/fGXbtvMPwGpgEQGkXJG5qJsWgoyfO8BNcJ/wBOhpU2vwD
 49/gBh2knvgJxD/AoQ/xEMQJEJqVhYXh9p1LDAePbmKIjbdgcHWxYOjvX/np8OHd
 oJqMH1YAAQQQKJ6tGSE5HRrgjNByHZE9QaH+7y8DPBRB+N9fUOUESaUfgDFx+NBD
 hnv33oGb1CzMzAza2mIMFhZywMzLzPD1KzC5/IY4+DfY4RCPgTL8H6A4KGlBgx7e
 LH/w8AbD6XMHGZwc1RlCQ6wZZs/exbBp0+HPTEzMj6AdIrDlAAEEajPaoXe2GFGS
 DNDhQMdDksNfMA0KPVBLEpR+v34DOeQvw5s33xh27bjDcOLEY2Ao/wXrU1AUYHBz
 V2UQE+Nh+Az05E9g8QsK8Z9Avb9//gXHzP//qPaysLAyPH56h+Hgka0M7u46DOnp
 LgwzZ+5m2LLlJIO+rqEgBzsfqN/wFuYBgAACFaMaDEjJhhEp7UN54BLk+3dQxvsN
 bmEKCHAy8AlwAWkOSNOCmQmcrEDF621gSfLs2WcGdXVRcCnFycXC4OyiDG7vHDn8
 EFhS/QWbCa4f4BkNUqwwAZPNzVuXGC5cPMrg6KjLEBFhwbBkySGG9euPMGiqqzOI
 iahyvXgpx/Xt+7u/sAAGCCCQByQYsWRcRmi3FxTloGaznIIgg6wsH4MikJaW4QM3
 k0FNakaoj8HFJdCjoNh4/forw1tgjLx6+QXsSVDDz9JKDkgzMRwBJrWPH7+DPY1s
 LSjZPH3xkOHajdMMevqyDFFRpgybN59mWL36CIOstDSw2SIPDAwRoEf8RD9/fs7w
 /ecHsD6AAALVA9yo4Y0AIMdISvMyREXrAUNTGJxpQbn4DygfgJPUP0RTEMoAVXTS
 MvwMUtJ84GQGDoQ/kPxiCiyh5OT4GVavvAL2HMhDoHKHmZmF4eWrpwxHj29n0NNV
 ZPD312bYtes80PHHGYSFgK1WBSUGHm4pcKdeTFSLx8u9F1Ssgu0DCCAWBqS8ixz6
 34Bp28FBAeh4fQYOYDIAlya//8Eba+De1n+k6GeGVnhIRSILsOkMKcGA+kCtVWC7
 R0yMmyEhyRBc6549+xRYMTIzvHz5jOHcxUNAxysxuLoqMRw+fIVhw4YzDIICAgyq
 ykoMfLyywP6HAFAt2LnAlMYBD2SAAAJVZD+Rsy3I8aB0qqMrzhAZow9u+4B6TrAW
 JzPTP4Z/0LYPuJUKLHFAyecNKNm8/c7wGdjqBNUB4OISWnSCm9a//4JLHRAbVIqB
 MjMoGf39+4fh+aurwBjjZbC2lmc4ffomsLS5CLSXg0FJQY5BUFCWgQuYdJhZ2KGl
 +v/v///DswADQACBvPQGNNrAiFTqgNpe5hYy4O7it++/IJ10UAuTCVr3/Yc0odlY
 WRiePPnIsHfPXYb799+Dkwkkhv6jVX4w/B/aGkWE1oVLJ4GVnySDlBQbw6lT14GO
 vwIsiViAaV2OQURUgYGbS5wBFuL/IVpeIZsNEEAgD9wFRoAlateNEWzRnz9/II4C
 tgxBbaD/0PYQKzjtMjCsXXMV2AF5Bi4W2YAZHeRRVljGZkTkDZjjwfXHf0i7iImR
 heHGzYvAjPkVGMKCDFeu3AHGCqgPzQ1sqgsA07oiAw+XBLC9xI08kPYNiFF6NAAB
 BCoKzqA6HqL25s034IoHVNyB2i9g/AfCByWdfXvuMRzYfw+cQTmALUtQ5QVqBoNa
 mJDWKxQzQ/rJYAzqM4MGBIAhfOfeDYbPXx8CKztNYOw9BRaVVxkuX7rPYGigyCAj
 Bcy0vNJAx/OC+8FIANi9ZHyGnGEBAgjUlDgESvYMSLmZHZjuTxx/zHAUWG6zs7NC
 h0MgpQ64IgOm55s3X4NjCtRxB2VekONBnmABjQ2xwhwN9BQrdMQC1KMDegDUrP7w
 8Q2w1LnOYGurw/DgwStgiXMTmM9+Ac1iB9ouBGwQKgAzLR8s0zIgdVHuA/E35AIH
 IIBA3rsAxIeQy1BQLIAs3L79NjBUXjBwAC0F1fYgx4N6UKAa1M9fk0FcnAfYzfsD
 jhFISENjgAnqGVD/gRkRK+wcbMCO0DuG48d3AzOsJpD9nWHv3rPAjP+RQVpKmEFJ
 UQ2YhOTAJQ4TEytGYxLIvYreuAQIICZo3tiO0VEAhta3r78Zliy6wHDmzFP48AMo
 CYGKVAlgizMSWD/o6UmAQxjkOXBxCiqZWJjgjobRoJj69fMrsOg8ymBkrAjUw8Zw
 8OAFYKX3ikFcDFhcqioD+9oyDFycAvChE7ThBlDTYSMjaonPABBAsFHM46DaHX08
 EeKw/wxLF19gWAfMsKAiEeQxUAb/9vUXMNRAlZwuQ2KSEYMusNgFdVBAFROkvvgH
 782BMKilunP3dgY2zt/Ahp4Sw/795xlu3LjLwMvLxaCjrcogKqII7D+LAs1nwzVO
 tQmIMXpkAAEE65GBhr6PMqA37KAVFBuwsgF1XkBjPFY2cgympjLgJAbK5Ex/GIGl
 BjeDr78GsInwg+EdsC4ANSUePfrI8PLFF7Aa0ADYgUP7gen/N4ONtRHY8Rcv3mTg
 5eEA1s4awGaCMrAkkgTlPvgwDBawGJsgQADB+sSgTNwEDPQdoOT/H71fA+pcsDEC
 2/zfGDZvvMHw4N57BjMLWQY5eQFgOc0KHSZhZODj42AQBvbINLVEwUMqL19+A3ro
 B7AleRjo4DMMISGODLduPWE4dPgCMEYYgLGmzCAtrQqsaSWBIQ8a5fgPrgCRpwcg
 QwEMV4AO2ofNAwABhNyp3wvEu4HKPeF9O2gt9B9UC/8HTTCAMiILw6PHn4ChfAPc
 3jE0lAT3i5mYWODjQqAGIMjTCsCGHwPDI2DS2cHg5mbG8PTpW4adO08A64GfDDZW
 OgyyMmrANo4ksIXLC648gcUEpFf2HyUp/2aEjFx/wOYBgABCHxdqBWo2ZwSVZUiT
 FPAQAY/OMQErH1ZwLf0J2Hk/evQRw7VrrxmEBDmBZTdkHEgQ2NzmB+Lv338yZGX1
 AksidoYvX34Ai8tTwMrsO0Nysi2Dh7sNMLYUgDHExHDyBKgy/AUpqv/9Q+/ELgMS
 h3FlDIAAYkErqUD5oAk66YA6QcAEyQ/gUQpoJ58FWsZ/B/aJnwDbP+BBOgZIxmVi
 /s9w/8EFYFHLC+zs/AI6/jSwgfiFITDQkMHLywrYX9ACFgJSDFzcoMFfAYaVKy6D
 PcyIau0ZoEAtvtFpgABignQtUfA00IwJdBwKWpT9h6dJVmDIg5IRD3SQlpeXnYEP
 2DcAxYCoKDeDuAQ3g6KSMMOTp/cZFi/eyqCoKA5U8xMYAx8ZAgL0GMLDHRiUlbWA
 HpMA1wsgL4MGetnAJd5f5CbIVyCZAcSP8XkAIIBY/v//gR5lvxkZOaIZGdmBxdZf
 e4b/f6DjHJDaGOQJDmDtDEoqwsBeFmjIHNRpASUfyOAVO7B2fcxw5MhBYNtfmqG3
 dwuDiooAQ36+E4OxkQ6wvNdmEBERY/j65S+w9/aC4c6td8AM/hzYKPwEaWP9B7Vu
 WF4B810k0NqzGLUBGgAIIJaPX9eipZa/DKzMYp/YWFVSWJiF57KwiNr9//8b7Im/
 wM7x6zdfGT5++gHuSoK6l6ARNk7osDknFyRGFi5aCuzgvwA3w79//wxMOlzAfCDE
 8P4dH7A4/gRsbn8ED2SBSrVPn36AYwFUv4BSwP9/35///vO08O+/T/sIOR40hQEQ
 QFhiANgT+/2I8dfvh3eYmXhCubncVrGxStuDSlrQ6AGoPfTjH2xk4j+43Ab1vD5/
 /gXMDywMDx/eY7h08RZY/O3b1wxqalIMBvo6wCQkDIwZ0OjDO/AwCkgPqN8BajtB
 impgm+vvlydfvu8K+vPnObBe+s/IQNgHDAABxAIdXmFA7Z4ycYGmTv/9/87/+euW
 dk52/eecHEZBjIxsbGCPgIbOf0IcwPwV0uoEDb3//v2d4dCR/Qxv331k+Pr1G4Oy
 khSDmooGMLZAQ098wNgAJcPf4KEUUABAHA5psP34eW3f959nZ/379+Un0B4FoOBr
 aPMZrycAAogFh5ggZC6YWRaon+vbj5P7fv999Z6Lw8iTlUVCDlIG/YX0Gf5BB6uA
 WeUusIn8/PlzcGkiIyMCbJypAPOFNDCmgI7/BqpS/iDmj8EOB+awP6+f/fh1Zf/P
 XzeOAY0VAIobgisPYEKA4t/4PAAQQCzYp+cZQK0pTiAG9uMYOYGZmvf3n8d3P315
 PIWNVVmXk8PYnZlZUIKJkRncxmIC5uzPn94CM+MJYFL6wqCqIssgLwds0/PIADM8
 sJJjZAP3nBmB6kHDtqAu4d9/H159/3Fh36/ft86BhgiADucF2gVrQ3Cg9NfxAIAA
 wuYB0Gw6aHnAPWgUgio1XmA2A3VKWX/+unP6958n11mYxeSBWIGNVVaDjVVU7tz5
 Y8xfv34Fdsz1GCTFZYClkhQwcwsCm9Zs0LmD339//33+8PfvJzf//H318M/f14/+
 /fv2CZj2QbMPoFD+CJ21B9n9DMr/S8gDAAGEzQN/oQY9hI6AgcYh+SADqoxcQAs5
 gUnhPTCjP/n1+8GxH78ucH75wm38+u1TD3kFtjcCAj+BnZhPf4G19p/fv1/9+cXw
 69vfv59eAx388O/fd8/+//8FLN+ZgKUkyz9gWv8NHSb8Cp2R/AidI/4MFSfoAYAA
 wjVL+Rdq6HfoEgA2SHICY2DSYuQAegTMB5ZMrD9+PPskK/v5GjPz75+/fn/59ucv
 37fvP1j/QKa5QRUJw19g8gFN1AEdzQ5K1z+Q8Hco/glN83/gUwNEAIAAIjTR/Q8p
 M31Fqq6ZoZgFWDWwsrIy3mZnZ+ZmYmJj5ebm+8XKygF0KGx4G2zGXyj+g4b/QuX/
 keJoZAAQQKQs9viP5JDfSN1Pxt+//zCB5jHYgKUsCDMyMqI1aTAw1QBAgAEANJlS
 IyqjNL4AAAAASUVORK5CYII=

Package: emacs24-el
Architecture: any
Depends: emacs24 (= ${source:Version}), ${misc:Depends}
Description: GNU Emacs LISP (.el) files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the elisp sources for the convenience of users,
 saving space in the main package for small systems.
XSBC-Maemo-Display-Name: GNU Emacs LISP files
